#!/bin/sh

cd "$(dirname "$0")"

if pwd | grep " ";
  then alert "Please install from a directory with no spaces in the path name, the current one (`pwd`) has spaces.  Just move all the files to somewhere that doesn't have spaces, like /boot/home/mydirectory.  If there are spaces, the install script malfunctions.  Sorry.";
  exit 1;
fi

RETURN=`alert "This will install the IM Kit in /boot/apps/im_kit. Previous versions of the kit will be deleted." "Continue" "Cancel"`

if [[ $RETURN = Cancel ]]
then
	exit -1;
fi

# quit kit if running
quit "application/x-vnd.beclan.im_kit"
quit "application/x-vnd.m_eiman.im_logger"
quit "application/x-vnd.m_eiman.sample_im_client"

# remove old im kit parts
query -a 'BEOS:APP_SIG == "application/x-vnd.beclan.im_kit" || BEOS:APP_SIG == "application/x-vnd.m_eiman.im_logger" || BEOS:APP_SIG == "application/x-vnd.m_eiman.sample_im_client"' | grep -v "`/bin/pwd`" | xargs rm -f

rm ~/config/lib/libim.so

# create indexes
mkindex -t string IM:connections
mkindex -t string IM:status

# create add-ons and settings dir
mkdir -p ~/config/settings/im_kit/icons
mkdir -p ~/config/settings/im_kit/add-ons/protocols
mkdir -p ~/config/add-ons/im_kit/protocols

# install apps
mkdir -p /boot/home/config/servers
copyattr -d -m bin/im_server /boot/home/config/servers/im_server
mkdir -p /boot/apps/im_kit
copyattr -d -m bin/im_client /boot/apps/im_kit/im_client
copyattr -d -m bin/im_logger /boot/apps/im_kit/im_logger

# install libs, add-ons
copyattr -d -m bin/libsigc.so ~/config/lib/libsigc.so
copyattr -d -m bin/libim.so ~/config/lib/libim.so
copyattr -d -m bin/ICQ ~/config/add-ons/im_kit/protocols/ICQ

# install icon-holding person files
unzip -n bin/Icons.zip -d /boot/home/config/settings/im_kit/icons
rm bin/Icons.zip

# install Tracker add-ons
copyattr -d -m bin/IM_Start_conversation ~/config/add-ons/Tracker/IM_Start_conversation
copyattr -d -m bin/IM_Merge_contacts ~/config/add-ons/Tracker/IM_Merge_contacts

# start im kit
/boot/home/config/servers/im_server &
sleep 1
/boot/apps/im_kit/im_client &
sleep 1
/boot/apps/im_kit/im_logger &

# ask if user wants it to auto-start
# TODO

# remove traces
rm Install.sh
rmdir bin

# done
alert "All done"
